<IfModule mod_rewrite.c>
    <IfModule mod_negotiation.c>
        Options -MultiViews -Indexes
    </IfModule>

    RewriteEngine On

    # Si el archivo o carpeta existe, sírvelo directamente
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_FILENAME} !-f

    # Si no existe, manda TODO al index.php
    RewriteRule ^ index.php [QSA,L]
</IfModule>